<template>
  <basic-container>
    <!--头部导航-->
    <div id="nav">
      <el-button icon="el-icon-arrow-left" @click="goHome">返回</el-button>
      <p>{{ name }}</p>
      <div>
        <el-button v-show="btn ==1" icon="el-icon-caret-top" @click="ShowHide(0)"></el-button>
        <el-button v-show="btn ==0" icon="el-icon-caret-bottom" @click="ShowHide(0)"></el-button>
        <el-button icon="el-icon-upload" @click="submit">提交</el-button>
      </div>
    </div>
    <!--底部选项卡-->
    <el-tabs type="border-card" v-model="activeName" :stretch="true"
             @tab-click="handleClick">
      <el-tab-pane label="调查询问笔录" name="first">
        <BiLu v-if="activeName == 'first'"></BiLu>
      </el-tab-pane>
      <el-tab-pane label="责令限期改正通知书" name="second">
        <GaiZheng v-if="activeName == 'second'">责令限期改正通知书</GaiZheng>
      </el-tab-pane>
      <el-tab-pane label="处罚决定书" name="third">
        <JueDingShu v-if="activeName == 'third'">处罚决定书</JueDingShu>
      </el-tab-pane>
    </el-tabs>
  </basic-container>
</template>

<script>
import {submitcase} from "../../api/News/pad";
import BiLu from "./word_mange/mangeBL"
import GaiZheng from './word_mange/mangeGZ'
import JueDingShu from './word_mange/mangeJD'

export default {
  name: "padWord1",
  components: {
    BiLu,
    GaiZheng,
    JueDingShu
  },
  created() {
    this.id = this.$store.state.user.id
    if (this.$route.query) {
      this.$nextTick(() => {
        this.name = this.$route.query.name
        // this.id = this.$route.params.id
      })
    }
  },
  data() {
    return {
      name: "案件名称",//展示的案件名称
      btn: 1,//展开和收起
      tabPosition: 'left',//默认左侧选项卡
      activeName: "first"//选项卡默认打开第一个
    }
  },
  methods: {
    //返回案件列表
    goHome() {
      this.$router.push({
        path: '/pad',
      })
    },
    //收缩顶部
    ShowHide(type) {
      this.btn = type;
      window.android.toShowHide()
    },
    //提交（去审核）
    submit() {
      submitcase({id: this.id}).then(res => {
        this.goHome()
      })
    },
    //点击选项卡效果
    handleClick(tab, event) {
      this.activeName = tab.name
    }
  }
}
</script>

<style lang="scss">
.el-tabs__content {
  height: calc(100vh - 110px);
  overflow-y: auto;
}
</style>
<style scoped>
#nav {
  display: flex;
  justify-content: space-between;
  align-items: center;
}
</style>
